Bug 1914941 - VM Template rootdisk is not deleted after fetching default disk bus
Summary: VM Template rootdisk is not deleted after fetching default disk bus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-11 14:33 UTC by Gilad Lekner
Modified: 2021-02-24 15:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:51:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7793 0 None closed Bug 1914941: VM Template rootdisk is not deleted after fetching default disk bus 2021-01-20 07:08:21 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:52:13 UTC

Description Gilad Lekner 2021-01-11 14:33:32 UTC
Description of problem:
VM Template rootdisk is not deleted after fetching default disk bus, causing the VM to fail to start.

Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1.Create VM
2.Customize
3.See Disk with name ${NAME} being added to the VM

Actual results:
Disk with name ${NAME} being added to the V

Expected results:
Disk should be deleted in the process

Additional info:

Comment 2 Guohua Ouyang 2021-01-20 07:13:56 UTC
verified VM created from template without extra disk and can be started.

Comment 5 errata-xmlrpc 2021-02-24 15:51:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.